
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>人工“碳”索意犹尽，智能“硅”来未可知（深度学习入门系列之二） / iVAN</title>

    <meta name="description" content="人工“碳”索意犹尽，智能“硅”来未可知（深度学习入门系列之二） 系列文章:一入侯门&quot;深&quot;似海,深度学习深几许(入门系列之一) 在前面的小节中,我们仅仅泛泛而谈了机器学习.深度学习等概念,在这一小节,我们将给出它的更加准确的形式化描述. 我们经常听到人工智能如何如何?深度学习怎样怎样?那么它们之间有什么关系呢?在本小节,我们首先从宏观上谈谈人工智能的&quot;江湖定位&quot;和深度学习的归属.然后再在微观上聊聊机器学习的数学本质是什么?以及我们为什么要用神经网络? 2.1 人工智能的&quot;江湖定位&quot; 宏观上来看, 人类 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">人工“碳”索意犹尽，智能“硅”来未可知（深度学习入门系列之二）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h2>系列文章：一入侯门“深”似海，深度学习深几许（入门系列之一）</h2>
<hr>
<br />在前面的小节中，我们仅仅泛泛而谈了机器学习、深度学习等概念，在这一小节，我们将给出它的更加准确的形式化描述。</p>
<p>我们经常听到人工智能如何如何？深度学习怎样怎样？那么它们之间有什么关系呢？在本小节，我们首先从宏观上谈谈人工智能的“江湖定位”和深度学习的归属。然后再在微观上聊聊机器学习的数学本质是什么？以及我们为什么要用神经网络？</p>
<h2>2.1 人工智能的“江湖定位”</h2>
<hr>
<br />宏观上来看， <strong>人类科学和技术的发展，大致都遵循着这样的规律：现象观察、理论提取和人工模拟（或重现）。</strong> 人类“观察大脑”的历史由来已久，但由于对大脑缺乏“深入认识”，常常“绞尽脑汁”，也难以“重现大脑”。</p>
<p>直到上个世纪40年代以后，脑科学、神经科学、心理学及计算机科学等众多学科，取得了一系列重要进展，使得人们对大脑的认识相对“深入”，从而为科研人员从“观察大脑”到“重现大脑”搭起了桥梁，哪怕这个桥梁到现在还仅仅是个并不坚固的浮桥。</p>
<p><a href="https://yqfile.alicdn.com/5ab8f764ebc90e6672e601ae584ccb134d7b4eec.jpeg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzVhYjhmNzY0ZWJjOTBlNjY3MmU2MDFhZTU4NGNjYjEzNGQ3YjRlZWMuanBlZw==.jpg"></a></p>
<p>图2-1 人工智能的本质</p>
<p>而所谓的“重现大脑”，在某种程度上，就是目前的研究热点——人工智能。简单来讲，人工智能就是为机器赋予人类的智能。由于目前的机器核心部件是由晶体硅构成，所以可称之为“硅基大脑”。而人类的大脑主要由碳水化合物构成，因此可称之为“碳基大脑”。</p>
<p>那么， <strong>现在的人工智能，通俗来讲，大致就是用“硅基大脑”模拟或重现“碳基大脑”。</strong>  那么，在未来会不会出现“碳硅合一”的大脑或者全面超越人脑的“硅基大脑”呢？</p>
<p>有人就认为，在很大程度上，这个答案可能是“会的”！比如说，未来预言大师雷·库兹韦尔（Ray Kurzweil）就预测，到2045年，人类的“奇点”时刻就会临近[1] 。这里的“奇点”是指，人类与其他物种（物体）的相互融合，更确切来说，是硅基智能与碳基智能兼容的那个奇妙时刻。</p>
<h2>2.2 深度学习的归属</h2>
<hr>
<br />在当下，虽然深度学习领跑人工智能。但事实上，人工智能研究领域很广，包括机器学习、计算机视觉、专家系统、规划与推理、语音识别、自然语音处理和机器人等。而机器学习又包括深度学习、监督学习、无监督学习等。简单来讲，机器学习是实现人工智能的一种方法，而深度学习仅仅是实现机器学习的一种技术而已（如图2-2所示）。</p>
<p><a href="https://yqfile.alicdn.com/c0fd0c87b50320fe16506ec499c3d4fa3cef303c.jpeg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2MwZmQwYzg3YjUwMzIwZmUxNjUwNmVjNDk5YzNkNGZhM2NlZjMwM2MuanBlZw==.jpg"></a></p>
<p>图2-2 深度学习的“江湖地位”</p>
<p>需要说明的是，对人工智能做任何形式的划分，都可能是有缺陷的。在图2中，人工智能的各类技术分支，彼此泾渭分明，但实际上，它们之间却可能阡陌纵横，比如说深度学习是无监督的。语音识别可以用深度学习的方法来完成。再比如说，图像识别、机器视觉更是当前深度学习的拿手好戏。</p>
<p>一言蔽之， <strong>人工智能的分支并不是一个有序的树，而是一个彼此缠绕的灌木丛。</strong> 有时候，一个分藤蔓比另一个分藤蔓生长得快，并且处于显要地位，那么它就是当时的研究热点。深度学习的前生——神经网络的发展，就是这样的几起几落。当下，深度学习如日中天，但会不会也有“虎落平阳被犬欺”的一天呢？从事物的发展规律来看，这一天肯定会到来！</p>
<p>在图3-2中，既然我们把深度学习和传统的监督学习和无监督学习单列出来，自然是有一定道理的。这就是因为，深度学习是高度数据依赖型的算法，它的性能通常随着数据量的增加而不断增强，也就是说它的可扩展性（Scalability）显著优于传统的机器学习算法（如图2-3所示）。</p>
<p><a href="https://yqfile.alicdn.com/42c2a6d59d132fd1980108a9f406017fa5a03363.jpeg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzQyYzJhNmQ1OWQxMzJmZDE5ODAxMDhhOWY0MDYwMTdmYTVhMDMzNjMuanBlZw==.jpg"></a></p>
<p>图2-3 深度学习和传统学习算法的区别</p>
<p>但如果训练数据比较少，深度学习的性能并不见得就比传统机器学习好。其潜在的原因在于，作为复杂系统代表的深度学习算法，只有数据量足够多，才能通过训练，在深度神经网络中，“恰如其分”地将把蕴含于数据之中的复杂模式表征出来。</p>
<p>不论机器学习，还是它的特例深度学习，在大致上，都存在两个层面的分析（如图2-4所示）：</p>
<p><a href="https://yqfile.alicdn.com/0936abd4c427f8d1b1f79ea6a8065ee3f87aa053.jpeg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzA5MzZhYmQ0YzQyN2Y4ZDFiMWY3OWVhNmE4MDY1ZWUzZjg3YWEwNTMuanBlZw==.jpg"></a></p>
<p>图2-4 机器学习的两层作用</p>
<p>（1）面向过去（对收集到的历史数据，用作训练），发现潜藏在数据之下的模式，我们称之为描述性分析（Descriptive Analysis）；</p>
<p>（2）面向未来，基于已经构建的模型，对于新输入数据对象实施预测，我们称之为预测性分析（Predictive Analysis）。</p>
<p>前者主要使用了“归纳”，而后者更侧重于“演绎”。对历史对象的归纳，可以让人们获得新洞察、新知识，而对新对象实施演绎和预测，可以使机器更加智能，或者说让机器的某些性能得以提高。二者相辅相成，均不可或缺。</p>
<p>在前面的部分，我们给予机器学习的概念性描述，下面我们给出机器学习的形式化定义。</p>
<h2>2.3.机器学习的形式化定义</h2>
<hr>
<br />在《未来简史》一书中[2]，尤瓦尔•赫拉利说，根据数据主义的观点，人工智能实际上就是找到一种高效的“电子算法”，用以代替或在某项指标上超越人类的“生物算法”。那么，任何一个“电子算法”都要实现一定的功能（Function），才有意义。</p>
<p>在计算机术语中，中文将“Function”翻译成“函数”，这个多少有点扯淡，因为它的翻译并没有达到“信达雅”的标准，除了给我们留下一个抽象的概念之外，什么也没有剩下来。但这一称呼已被广为接受，我们也只能“约定俗成”地把“功能”叫做“函数”了。</p>
<p>根据台湾大学李宏毅博士的说法，所谓机器学习，在形式上，可近似等同于在数据对象中，通过统计或推理的方法，寻找一个适用特定输入和预期输出功能函数（如图2-5所示）。习惯上，我们把输入变量写作大写的X  ，而把输出变量写作大写的Y 。那么所谓的机器学习，在形式上，就是完成如下变换：Y= f(X) 。</p>
<p><a href="https://yqfile.alicdn.com/b0f7e49ae4f0eeba307f1dd32122f60dcaeb4216.jpeg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2IwZjdlNDlhZTRmMGVlYmEzMDdmMWRkMzIxMjJmNjBkY2FlYjQyMTYuanBlZw==.jpg"></a></p>
<p>图2-5 机器学习近似等同于找一个好用的函数</p>
<p>在这样的函数中，针对语音识别功能，如果输入一个音频信号X，那么这个函数Y就能输出诸如“你好”，“How are you？”等这类识别信息。</p>
<p>针对图片识别功能，如果输入的是一个图片X，在这个函数Y的加工下，就能输出（或称识别出）一个猫或狗的判定。</p>
<p>针对下棋博弈功能，如果输入的是一个围棋的棋谱局势（比如AlphaGO）X，那么Y能输出这个围棋的下一步“最佳”走法。</p>
<p>类似地，对于具备智能交互功能的系统（比如微软的小冰），当我们给这个函数X输入诸如“How are you？”，那么Y就能输出诸如“I am fine，thank you？”等智能的回应。</p>
<p>每个具体的输入，都是一个实例（instance），它通常由特征空间（feature vector）构成。在这里，所有特征向量存在的空间称为特征空间（feature space），特征空间的每一个维度，对应于实例的一个特征。</p>
<p>但问题来了，这样“好用的”函数并不那么好找。当输入一个猫的图像后，这个函数并不一定就能输出它就是一只猫，可能它会错误地输出为一条狗或一条蛇。</p>
<p>这样一来，我们就需要构建一个评估体系，来辨别函数的好坏（Goodness）。当然，这中间自然需要训练数据（training data）来“培养”函数的好品质（如图6所示）。在第一小节中，我们提到，学习的核心就是性能改善，在图6中，通过训练数据，我们把f1改善为f2的样子，性能（判定的准确度）得以改善了，这就是学习！很自然，这个学习过程如果是在机器上完成的，那就是“机器学习”了。</p>
<p><a href="https://yqfile.alicdn.com/649c003bae9b6e121e75acacefda5e0b4f828111.jpeg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzY0OWMwMDNiYWU5YjZlMTIxZTc1YWNhY2VmZGE1ZTBiNGY4MjgxMTEuanBlZw==.jpg"></a><br />
图2-6 机器学习的三步走</p>
<p>具体说来，机器学习要想做得好，需要走好三大步：<br />
（1） 如何找一系列函数来实现预期的功能，这是建模问题。<br />
（2） 如何找出一组合理的评价标准，来评估函数的好坏，这是评价问题。<br />
（3） 如何快速找到性能最佳的函数，这是优化问题（比如说，机器学习中梯度下降法干的就是这个活）。</p>
<h2>2.4 为什么要用神经网络？</h2>
<hr>
<br />我们知道，深度学习的概念源于人工神经网络的研究。含多隐层的多层感知机就是一种深度学习结构。所以说到深度学习，就不能不提神经网络。</p>
<p>那么什么是神经网络呢？有关神经网络的定义有很多。这里我们给出芬兰计算机科学家Teuvo Kohonen的定义（这老爷子以提出“自组织神经网络”而名扬人工智能领域）：“神经网络，是一种由具有自适应性的简单单元构成的广泛并行互联的网络，它的组织结构能够模拟生物神经系统对真实世界所作出的交互反应。”</p>
<p>在机器学习中，我们常常提到“神经网络”，实际上是指“神经网络学习”。学习是大事，不可忘记！<br />
那为什么我们要用神经网络学习呢？这个原因说起来，有点“情非得已”。<br />
我们知道，在人工智能领域，有两大主流门派。第一个门派是符号主义。符号主义的理念是，知识是信息的一种表达形式，人工智能的核心任务，就是处理好知识表示、知识推理和知识运用。这个门派核心方法论是，自顶向下设计规则，然后通过各种推理，逐步解决问题。很多人工智能的先驱（比如CMU的赫伯特•西蒙）和逻辑学家，很喜欢这种方法。但这个门派的发展，目前看来并不太好。未来会不会“峰回路转”，现在还不好说。</p>
<p>还有一个门派，就是试图编写一个通用模型，然后通过数据训练，不断改善模型中的参数，直到输出的结果符合预期，这个门派就是连接主义。连接主义认为，人的思维就是某些神经元的组合。因此，可以在网络层次上模拟人的认知功能，用人脑的并行处理模式，来表征认知过程。这种受神经科学的启发的网络，被称之人工神经网络（Artificial Neural Network，简称ANN）。目前，这个网络的升级版，就是目前非常流行的深度学习。</p>
<p>前面我们提到，机器学习在本质就是寻找一个好用的函数。而人工神经网络最“牛逼”的地方在于，它可以在理论上证明：只需一个包含足够多神经元的隐藏层，多层前馈网络能以任意精度逼近任意复杂度的连续函数[4]。这个定理也被称之为通用近似定理（Universal Approximation Theorem）。这里的“Universal”，也有人将其翻译成“万能的”，由此可见，这个定理的能量有多大。换句话说，神经网络可在理论上解决任何问题，这就是目前深度学习能够“牛逼哄哄”最底层的逻辑（当然，大数据+大计算也功不可没，后面还会继续讨论）。</p>
<h2>2.5 小结</h2>
<hr>
<br />在本小节中，我们首先谈了谈人工智能的“江湖定位”，然后指出深度学习仅仅是人工智能研究的很小的一个分支，接着我们给出了机器学习的形式化定义。最后我们回答了为什么人工神经网络能“风起云涌”，简单来说，在理论上可以证明，它能以任意精度逼近任意形式的连续函数，而机器学习的本质，不就是要找到一个好用的函数嘛？</p>
<p>在下小节，我们将深度解读什么是激活函数，什么是卷积？（很多教科书真是越讲越糊涂，希望你看到下一小节，能有所收获）</p>
<h2>2.6 请你思考</h2>
<hr>
<br />学完前面的知识，请你思考如下问题（掌握思辨能力，好像比知识本身更重要）：</p>
<p>（1）你认可库兹韦尔“到2045年人类的奇点时刻就会临近”的观点吗？为什么？库兹韦尔的预测，属于科学的范畴吗？（提示：可以从波普尔的科学评判的标准——是否具备可证伪性分来析。）</p>
<p>（2）深度学习的性能，高度依赖性于训练数据量的大小？这个特性是好还是坏？（提示：在《圣经》中有七宗原罪，其中一宗罪就是暴食，而原罪就是“deadly sin”，即死罪。目前，深度学习贪吃数据和能量，能得以改善吗？）</p>
<p>写下你的心得体会，祝你每天都有进步！</p>
<h2>【参考文献】</h2>
<p>1 雷·库兹韦尔, 李庆诚等译. 奇点临近.机械工业出版社.2012.12<br />2尤瓦尔·赫拉利，未来简史. 出版社：中信出版社.2017.1<br />
[3] 李航.统计学习方法.清华大学出版社.2012.3<br />
[4] Hornik K, Stinchcombe M, White H. Multilayer feedforward networks are universal approximators[J]. Neural networks, 1989, 2(5): 359-366.</p>
<p>文章作者：张玉宏（著有<a href="http://product.dangdang.com/24048575.html%E4%B8%80%E4%B9%A6" rel="external nofollow noreferrer">《品味大数据》</a>）<br />
联系邮件：zhangyuhong001@gmail.com<br />
审校：我是主题曲哥哥。</p>
<p>##推荐阅读</p>
<hr>
<br />一入侯门“深”似海，深度学习深几许（深度学习入门系列之一）<br />人工“碳”索意犹尽，智能“硅”来未可知（深度学习入门系列之二）<br />神经网络不胜语， M-P模型似可寻（深度学习入门系列之三）<br />“机器学习”三重门，“中庸之道”趋若人（深度学习入门系列之四）<br />Hello World感知机，懂你我心才安息(深度学习入门系列之五)<br />损失函数减肥用，神经网络调权重（深度学习入门系列之六）<br />山重水复疑无路，最快下降问梯度（深度学习入门系列之七）<br />BP算法双向传，链式求导最缠绵（深度学习入门系列之八）<br />全面连接困何处，卷积网络见解深（深度学习入门系列之九）<br />卷地风来忽吹散，积得飘零美如画（深度学习入门系列之十）<br />局部连接来减参，权值共享肩并肩（深度学习入门系列之十一）</p>
<p>##（未完待续）</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-17 08:45:52</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e6%80%a7%e8%83%bd/" title="性能">性能</a>, <a href="https://www.iamivan.net/tag/%e6%b7%b1%e5%ba%a6%e5%ad%a6%e4%b9%a0/" title="深度学习">深度学习</a>, <a href="https://www.iamivan.net/tag/%e7%a5%9e%e7%bb%8f%e7%bd%91%e7%bb%9c/" title="神经网络">神经网络</a>, <a href="https://www.iamivan.net/tag/%e4%ba%ba%e5%b7%a5%e6%99%ba%e8%83%bd/" title="人工智能">人工智能</a>, <a href="https://www.iamivan.net/tag/https/" title="HTTPS">HTTPS</a>, <a href="https://www.iamivan.net/tag/aliyun/" title="aliyun">aliyun</a>, <a href="https://www.iamivan.net/tag/%e7%ae%97%e6%b3%95/" title="算法">算法</a>, <a href="https://www.iamivan.net/tag/%e8%af%ad%e9%9f%b3%e8%af%86%e5%88%ab/" title="语音识别">语音识别</a>, <a href="https://www.iamivan.net/tag/%e5%93%81%e5%91%b3%e5%a4%a7%e6%95%b0%e6%8d%ae/" title="品味大数据">品味大数据</a>, <a href="https://www.iamivan.net/tag/%e5%bc%a0%e7%8e%89%e5%ae%8f/" title="张玉宏">张玉宏</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>人工“碳”索意犹尽，智能“硅”来未可知（深度学习入门系列之二）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkA5Rwb.html" rel="bookmark">工智能、大数据与深度学习之间的关系和差异</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				网络上从不缺乏对数据科学术语进行比较和对比的文章.文笔各异的人写出了各式各样的文章,以此将他们的观点传达给任何愿意倾听的人.这几乎是势不可挡的. 所以我也记录一下,对于那些疑惑此文是否也是雷同的帖子.对,是这样的. 为什么再来一帖?我是这样想的,尽管可能有很多分散观点在定义和比较这些关联术语,但事实上是,这些术语中的大部分是流动变化的,并不完全约定俗成,坦率地说,与他人观点一同暴露是测试和优化自己的观点的最好方法之一. 所以,虽然大家可能不会完全(甚至是极低限度地)同意我对这些术语的大部分看法,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mv5WKab.html" rel="bookmark">更强CPU！碳纳米晶体管性能首次超越硅晶体管</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				碳纳米晶体管 北京时间9月6日消息,芯片制造商现在面临一定的困难,它们要用更小的制程制造更快的CPU,正因如此,芯片企业已经开始寻找&quot;硅&quot;的替代品,比如碳纳米管,最近,碳纳米管技术取得了重要突破. 美国威斯康星大学(University of Wisconsin-Madison)的科学家最近宣布,他们成功开发出碳纳米晶体管,其性能大大超越现有的硅晶体管,它所通过的电量比晶体管高了1.9倍.科学家表示,碳纳米管晶体管超越硅晶体管,这还是第一次. 最近,碳纳米管内存已经走出实验室,开始投入			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1lkndb.html" rel="bookmark">基于深度学习的智能问答</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作者:周小强 陈清财 曾华军 1引言 纵观自动问答系统的技术发展历史,从1950年代因图灵测试而诞生至今,已经有几十年的历史.但真正在产业界得到大家的广泛关注,则得益于2011年Siri和Watson成功所带来的示范效应.自此,自动问答系统较以往任何时候都显得离实际应用更近.这一方面归功于机器学习与自然语言处理技术的长足进步,另一方面得益于维基百科等大规模知识库以及海量网络信息的出现.然而,现有的自动问答系统所面临的问题远没有完全解决.事实上,无论是业界应用还是学术研究,问句的真实意图分析.问句			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDerxrb.html" rel="bookmark">基于深度学习的智能安防系统结构探讨</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				智能安防的概念提出已经有相当长时间了,但是道路并不平坦,受限于计算机视觉算法和前端设备处理能力,许多功能一直无法成熟应用.但是厂商在宣传智能水平方面往往有夸大的冲动,使得产品在部署使用后,实际性能与用户期待相去甚远.虽然这种情况使得安防领域的智能化陷入了一段尴尬时期,同时也降低了用户的期望值,使用户更加理性的看待智能安防技术,也使得真正优秀的智能安防产品能得到机会.最近数年来深度学习算法的快速发展,在各类人工智能问题上的优异表现给智能安防领域带来了新的机遇.在深度学习迅速发展的大背景下,本文就智			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOWqvmz.html" rel="bookmark">【智驾深谈】李德毅院士：深度学习将成为智能驾驶的新维度</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上期智驾深谈聊到智驾三层次:感知层.认知层和行动层. 实际上感知层面上,无论车道线.交通标志还是车辆识别,都已经大规模采用了深度学习技术:行动层由于汽车工业百年的发展和积淀,已经可以很好地由现代控制理论解决:所以就剩下认知层,还真是个大号的硬钉子. 一个好的认知模型需要对环境有精准的理解和预判,还需要据此做出下一步的决策和规划,这里面的挑战就是复杂的动态交通环境.在深度学习出现之前,很难有一个模型能够很好地对此建模.预测和决策.而李德毅院士的工作,就聚焦在利用深度学习技术,解决智能驾驶中认知的问			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDKJ26p.html" rel="bookmark">智能时代，深度学习和大数据成了密不可分的一对儿</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				人工智能时代,深度学习和大数据成了密不可分的一对儿.深度学习可以从大数据中挖掘出以往难以想象的有价值的数据.知识或规律.简单来说,有足够的数据作为深度学习的输入,计算机就可以学会以往只有人类才能理解的概念或知识,然后再将这些概念或知识应用到之前从来没有看见过的新数据上. &lt;智能时代&gt;的作者吴军博士说:&quot;在方法论的层面,大数据是一种全新的思维方式.按照大数据的思维方式,我们做事情的方式与方法需要从根本上改变.&quot; 谷歌的围棋程序AlphaGo已经达到了人类围棋选手无法达到的境界			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKy575p.html" rel="bookmark">从传统 CAD 到深度学习驱动的影像系统：智能医疗落地三大技术挑战</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				图像识别是深度学习等 AI 技术最先突破的领域,而在 AI 与医疗场景的结合中,目前看来,基于深度学习技术的医疗影像的识别与分析,也很可能会在整个智能医疗.精准医疗领域一枝独秀,率先进入大规模应用阶段.   传统 CAD 不受医生的欢迎 实际上,计算机辅助检测(computeraided detection,简称CAD)很早就进入了人们尤其是医疗工作者的视线.有意思的是,很早以前就已经尝试使用过CAD系统的放射科专家们,在这一波智能医疗影像新技术的推广中并不热心,因为在他们的印象中,过去的CAD			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mq7m42z.html" rel="bookmark">深度学习助力实现智能行为分析和事件识别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				行为识别是指通过分析视频.深度传感器等数据,利用特定的算法,对行人的行为进行识别.分析的技术.这项技术被广泛应用在视频分类.人机交互.安防监控等领域.行为识别包含两个研究方向:个体行为识别与群体行为(事件)识别.近年来,深度摄像技术的发展使得人体运动的深度图像序列变得容易获取,结合高精度的骨架估计算法,能够进一步提取人体骨架运动序列.利用这些运动序列信息,行为识别性能得到了很大提升,对智能视频监控.智能交通管理及智慧城市建设等具有重要意义.同时,随着行人智能分析与群体事件感知的需求与日俱增,一系			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0YAQjp.html" rel="bookmark">智能家居至今未落地 究其原因是没想好怎么分蛋糕</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				智能家庭的概念是什么?是利用先进的计算机技术,通讯技术,将与家居生活的各种子系统有机的结合起来,通过深度数据分析管理,让家居生活更舒适,方便,有效,与安全.说明白点,智能家庭就是物联网的一个分支.物联网的概念提出来已经很久了.经过十几年的发展,大家还是不明觉厉,别说万物互联,家居互联都还没有普及. 智能家居至今未落地 究其原因是没想好怎么分蛋糕 那么,是什么阻碍智能家居的普及呢?有的媒体说是价格,体验,技术,等等等等.说到价格,手机刚开始,也不是很亲民.十几年的发展,现在成了快消品.至于体验,这			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMleAYp.html" rel="bookmark" class="title">将ASP代码移植为VB COM组件（2）</a>
					<div>
						当你编写可以节省时间的ASP代码时,如果要移植代码的话,有许多事情需要做.跟随以下步骤,你会发现移植代码没有什么麻烦的. 声明变量类型 Visual Basic 和VBScript 的最大缺点是它允许 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPYZGz.html" rel="bookmark" class="title">仿windows造字程序的ASP&period;NET图片组合生成控件</a>
					<div>
						最近项目中做了一个有趣的控件,拿出来根大家分享一下,^_^ .在机械设计领域常常会涉及特殊符号,比如一个零件的检验项目有:垂直度.平行度等等.每个零件的检验项大多都由一个表示该检验项的特殊符号和一个误 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwdLxz.html" rel="bookmark" class="title">Delphi6函数大全&lpar;5&rpar;</a>
					<div>
						&lt;&lt;Delphi6函数大全5-SysUtils.pas&gt;&gt; 首部 function InquireSignal(RtlSigNum: Integer): TSignalStat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NlVWz.html" rel="bookmark" class="title">Oracle多表关联的update和delete</a>
					<div>
						由于Oracle不支持update或delete from语句,因此,Oracle的多表关联update和delete必须借助于 子查询,同理,Oracle也不支持同时update或delete多张表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7ZAZb.html" rel="bookmark" class="title">Lightroom怎么给RAW照片降噪</a>
					<div>
						  Lightroom给RAW照片降噪图文步骤 1.首先,安装并打开lightroom. lightroom 2.打开后,我们导入需要修改的照片.点击左下角导入按钮. lightroom 3.在导入界 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq888Yb.html" rel="bookmark" class="title">win8操作系统如何打开&period;xv格式文件？</a>
					<div>
						  win8操作系统如何打开.xv格式文件?在win8操作系统中每种不同的文件类型都有自己的格式,比如最常见的应用程序都是&quot;.exe&quot;格式.记事本是&quot;.txt&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1E80jM.html" rel="bookmark" class="title">firebug怎么使用？</a>
					<div>
						  一.安装Firebug Firebug在Firefox浏览器中运行.另外有一个Firebuglite版本,可以通过javascript调用,包含在页面中,从而在其他非Firefox浏览器中使用.本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EyggM.html" rel="bookmark" class="title">中国离大数据时代还有不小距离</a>
					<div>
						摘要: 为了迎接即将到来的大数据时代,各大互联网公司都在争分夺秒.阿里巴巴在公布大数据分享平台之后的半年中,也全面启动了攻势.但即使是这个行业的先行者,离大数据时代也还有 &quot;为了迎接即将到来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Nq5Wz.html" rel="bookmark" class="title">sql server-sqlserver中一个查询问题，急需解答！！！</a>
					<div>
						问题描述 sqlserver中一个查询问题,急需解答!!! 解决方案 http://www.oschina.net/question/573517_118821 解决方案二: http://www.c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrEOKM.html" rel="bookmark" class="title">profile中的个性化设置保存不了&quest;</a>
					<div>
						问题描述 其他的都正常,就是单击保存的时候profile相应项没有保存!ProtectedSubPage_Load(ByValsenderAsObject,ByValeAsSystem.EventAr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRJB8b.html" rel="bookmark" class="title">tomcat集群的failover机制</a>
					<div>
						集群要提供高可用性就必须要有某种机制去保证,常用的机制为failover(故障转移),简单说就是通过一定的heartbeat检测是否有故障,一旦故障发生备份节点则接管故障节点的工作. tomcat使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94RmKb.html" rel="bookmark" class="title">新浪微博分享升级 可一键分享至微群</a>
					<div>
						新浪微博已经对其微博分享按钮进行&quot;升级&quot;.(TechWeb配图)[TechWeb消息]6月20日 下午消息,据悉,新浪微博已经对其微博分享按钮进行&quot;升级&quot;,网页 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqo14z.html" rel="bookmark" class="title">怎样加密网页源代码？</a>
					<div>
						问题描述 偶尔会看到一些网站的源代码都是乱码,这是一种加密技术,不知道是怎么实现的,大家来讨论下! 解决方案 你说的乱码,可能是由字符组成的编码,可能有2种方式实现:1. javascript的esc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRa9Ab.html" rel="bookmark" class="title">Mozilla计划在火狐浏览器中出售广告</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 新浪科技讯 北京时间2月13日早间 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlOYXp.html" rel="bookmark" class="title">新手如何学习网站运营</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 您现在可能是一个不知互联网深浅的外 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqZGDp.html" rel="bookmark" class="title">吞下DeepMind，喂不饱的谷歌意欲何为？</a>
					<div>
						1月27日上午,谷歌收购了一家名为DeepMind的人工智能初创公司,谷歌CEO拉里·佩奇亲自负责此交易,但具体交易金额尚不得而知. 我们从仅仅一页的DeepMind官网中可以看出,这是一家致力于高尖 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myed4kM.html" rel="bookmark" class="title">使用VMware VSphere WebService SDK进行开发 （一）&mdash;&mdash;基本信息阐述</a>
					<div>
						网上对于VSphere WebService SDK的介绍比较少(至少我能查到的资料比较少),官方提供的也是英文版的api,而且没有注明使用方法.最近接触到关于VSphere WebService S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xjagb.html" rel="bookmark" class="title">Android slidemenu怎么关闭手滑功能，只使用上面的按键来进行滑动</a>
					<div>
						问题描述 Android slidemenu怎么关闭手滑功能,只使用上面的按键来进行滑动 请各位大神指教 解决方案 有一个方法把 设置false 你快捷键找下方法名 解决方案二: getSliding ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnR4aKp.html" rel="bookmark" class="title">【OJ】Ants acmclub&period;com 10913 &sol;&sol; poj 1852</a>
					<div>
						#include&lt;iostream&gt; #include&lt;algorithm&gt; #include&lt;cstdio&gt; using namespace std; int s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Yagxz.html" rel="bookmark" class="title">做的jsp网站，用的omcat服务，如何将网站发布出去？</a>
					<div>
						问题描述 用myeclipse做的一个网站,数据库连接的mysql,用tomcat发布.已经安装到了公司的服务器上,经过测试,公司内网也可以通过服务器的ip地址访问,内网访问地址为http://服务器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QoeWp.html" rel="bookmark" class="title">精准营销需重视&comma;当心广告费被黑客吸走</a>
					<div>
						12月9日,网络安全研究公司 White Ops Inc. 披露了一份触目惊心的报告:通过在一批品牌商投放的各类视频广告中加入监测模块,他们发现,全美范围内 23% 的视频广告浏览量可能是假的--它们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGr7B6p.html" rel="bookmark" class="title">关于finally是否执行</a>
					<div>
						问题描述 4.Given:31.//somecodehere32.try{33.//somecodehere34.}catch(SomeExceptionse){35.//somecodehere36 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNlYlp.html" rel="bookmark" class="title">for-问个关于java打印菱形的问题代码如下</a>
					<div>
						问题描述 问个关于java打印菱形的问题代码如下 public class Demo11{ public static void main(String[] args){ int row=20; in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWRm4z.html" rel="bookmark" class="title">骨科移动医疗行业主要玩家盘点</a>
					<div>
						近期唯医网融资的消息将骨科移动医疗产品推向公众面前.从患者端来看,我国有1.52亿骨科患者和7亿骨骼亚健康人群,由于骨科疾病的修复时间长,术后康复是一大市场.从医生端来看,我国骨科医师共有13万,和其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWq0Vp.html" rel="bookmark" class="title">lr检查点</a>
					<div>
						前言 很久很久没有更新博客了.久到我都不记得上一次更新博客是什么时候,久到我们博客主机都过期了,一度我还想停掉这个博客.好在有simon的坚持才决定博客继续整下去.2013年对我来说是一个比较折腾的一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqPYdp.html" rel="bookmark" class="title">边缘计算会取代云计算吗&quest;</a>
					<div>
						风险资本家认为独立设备例如自动驾驶车辆.无人机以及其他物联网设备,将推动更多边缘计算,从而替代云服务. 如果资本家Peter Levine的观点正确的话,现今无处不在的云计算热潮或将不复存在.这位顶级 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Y05Rp.html" rel="bookmark" class="title">3Q垄断案引发的&OpenCurlyDoubleQuote;N大是非&rdquo;</a>
					<div>
						中国互联网迄今为止受关注度最高3Q大战即将尘埃落定,从&quot;业务战&quot;到诉讼战,历时颇久有四年,影响巨大,被认为是中国互联网史上的经典案例.360告腾讯垄断.腾讯诉360不正当竞争,前者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNm42mb.html" rel="bookmark" class="title">为何垃圾站数量日益增多？</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 在前几天在网上与一网站站长聊天,其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zenEE0b.html" rel="bookmark" class="title">首都师范大学校园网视频点播应用案例</a>
					<div>
						需求分析 为了提高教学质量,引进现代人性化.科学化教学手段,与同类院校进行学术交流,需要建设VOD系统,以满足教学.科研等服务的需要,要求系统应能完成以下功能: 多媒体教学资料VOD点播. 教学现场录 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPO18qM.html" rel="bookmark" class="title">android-点击button没有事件</a>
					<div>
						问题描述 android-点击button没有事件 在activity中有一个button,在点击之后到toast,响应的事件没有触发: public class myActivity extends ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
